HierarchyEntityControllerConfigureAttributeHierarchies Method

POST /HierarchyEntity/ConfigureAttributes/{id} Configures the attribute hierarchies associated with the specified hierarchy.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (8.0.2.1001)
Syntax
[HttpPostAttribute]
[ActionNameAttribute("ConfigureAttributes")]
public HttpResponseMessage ConfigureAttributeHierarchies(
	Guid id,
	[FromBodyAttribute] ConfigureAttributeHierarchiesOptions options,
	Nullable<Guid> sessionId = null
)

Parameters

id
Type: SystemGuid
The entity ID to configure.
options
Type: Dundas.BI.WebApi.ModelsConfigureAttributeHierarchiesOptions
The list of ConfigureAttributeHierarchiesOptions.
sessionId (Optional)
Type: SystemNullableGuid
Current session ID.

Return Value

Type: HttpResponseMessage
A list of HierarchyEntityData or a HierarchyData object containing the updated hierarchy, or a status code indicating the problem.
See Also